
#ifndef __IncompatibleHWExt__
#define __IncompatibleHWExt__


#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

/********************************************************************************************************/
/*																										*/
/*						Incompatible Hardware Environment Check Routine									*/
/*																										*/
/*																										*/
/*	Prototype:																							*/
/* IncompatibleHardwareCheckResult IncompatibleHardwareCheckRoutine(void);								*/
/*																										*/
/********************************************************************************************************/

// Result definition
enum {
	kCanInstallOnMachineResult				= 0,
	kCannotInstallOnMachineResult			= -1000,
	kCannotCheckMachineResult				= -1001
};

typedef SInt32 IncompatibleHardwareCheckResult;



#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#ifdef __cplusplus
}
#endif

#endif /* __IncompatibleHWExt__ */
